## org.eclipse.m2m.atl.core.ui.vm.debug
Class NetworkDebugger

    java.lang.Object
      org.eclipse.m2m.atl.core.ui.vm.debug.NetworkDebugger

All Implemented Interfaces:
  Debugger

    public class NetworkDebugger

extends java.lang.Object
implements Debugger

The main ATL debugger.

Nested Class Summary
`protected class` `NetworkDebugger.Command` A debugger command.

Constructor Summary
`NetworkDebugger(int port, boolean suspend)` NetworkDebugger constructor.

Method Summary
`void` `enter(StackFrame frame)` Enters the frame.
`void` `error(StackFrame stackFrame, java.lang.String msg, java.lang.Exception e)` Throws an error.
`ASMExecEnv` `getExecEnv()`
`void` `leave(StackFrame frame)` Leaves the frame.
`void` `step(ASMStackFrame frame)` Steps into the frame.
`void` `terminated()` Terminates the execution.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetworkDebugger

    public NetworkDebugger(int port,
                           boolean suspend)

  NetworkDebugger constructor.

  Parameters:
    `port` - connection port
    `suspend` - setp parameter

Method Detail

### getExecEnv

    public ASMExecEnv getExecEnv()

### enter

    public void enter(StackFrame frame)

  Enters the frame.

  Specified by:
    `enter` in interface `Debugger`
  Parameters:
    `frame` - the frame to enter in
  See Also:
    `Debugger.enter(org.eclipse.m2m.atl.engine.vm.StackFrame)`

### leave

    public void leave(StackFrame frame)

  Leaves the frame.

  Specified by:
    `leave` in interface `Debugger`
  Parameters:
    `frame` - the frame to leave
  See Also:
    `Debugger.leave(org.eclipse.m2m.atl.engine.vm.StackFrame)`

### step

    public void step(ASMStackFrame frame)

  Steps into the frame.

  Specified by:
    `step` in interface `Debugger`
  Parameters:
    `frame` - the frame to step
  See Also:
    `Debugger.step(org.eclipse.m2m.atl.engine.vm.ASMStackFrame)`

### terminated

    public void terminated()

  Terminates the execution.

  Specified by:
    `terminated` in interface `Debugger`
  See Also:
    `Debugger.terminated()`

### error

    public void error(StackFrame stackFrame,
                      java.lang.String msg,
                      java.lang.Exception e)

  Throws an error.

  Specified by:
    `error` in interface `Debugger`
  Parameters:
    `stackFrame` - the current frame
    `msg` - the error message
    `e` - the exception
  See Also:
    `Debugger.error(org.eclipse.m2m.atl.engine.vm.StackFrame, java.lang.String, java.lang.Exception)`

Copyright 2007 IBM Corporation and others. All Rights Reserved.